petsc-3.12.4 2020-02-04
Report Typos and Errors

# MatNestSetVecType

Sets the type of Vec returned by MatCreateVecs()

### Synopsis

    #include "petscmat.h"
    PetscErrorCode  MatNestSetVecType(Mat A,VecType vtype)

Not collective

### Input Parameters

| A | - nest matrix
| vtype | - type to use for creating vectors

### Notes

### See Also

MatCreateVecs()

### Level

developer

### Location

src/mat/impls/nest/matnest.c

### Implementations

MatNestSetVecType_Nest in src/mat/impls/nest/matnest.c
Index of all Mat routines
Table of Contents for all manual pages
Index of all manual pages